# $Revision: 1.48 $, $Date: 2011/04/07 11:25:45 $
Summary:	SIP and H.323 Videoconferencing
Summary(pl.UTF-8):	Program do telekonferencji w standardzie SIP oraz H.323
Name:		ekiga
Version:	3.2.7
Release:	5
License:	GPL
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ekiga/3.2/%{name}-%{version}.tar.gz
# Source0-md5:	bdc787550c4cf5acf873788f5ea153ba
Patch0:		%{name}-shell.patch
Patch1:		%{name}-libnotify.patch
URL:		http://www.ekiga.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-devel >= 0.6
BuildRequires:	avahi-glib-devel >= 0.6
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	docbook-dtd412-xml
BuildRequires:	evolution-data-server-devel >= 1.6.1
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool >= 0.33
BuildRequires:	libgnome-devel >= 2.14.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libselinux-devel
BuildRequires:	libsigc++-devel
BuildRequires:	libtool
BuildRequires:	opal-devel >= 3.4.2
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pkgconfig
BuildRequires:	ptlib-devel >= 2.6.7
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
BuildRequires:	speex-devel
BuildRequires:	srtp-devel
BuildRequires:	unixODBC-devel
BuildRequires:	xorg-lib-libXv-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2 >= 2.14.0
Requires:	dbus >= 0.60
Requires:	evolution-data-server >= 1.6.1
Requires:	libgnome >= 2.14.0
Requires:	libgnomeui >= 2.14.0
Requires:	ptlib-sound
Obsoletes:	gnomemeeting
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ekiga is a IP Telephony and Video Conferencing application which
complies to the SIP and H.323 protocols. It can connect to a variety
of other SIP and H323 applications including specialized hardware.
Ekiga can work with or without a webcam, and is able to create pure
audio communications or traditionnal audio+video communications. Ekiga
was fomerly known as GnomeMeeting.

%description -l pl.UTF-8
Ekiga jest programem przeznaczonym do wideokonferencji oraz telefonii
internetowej zgodnej z protokołami SIP oraz H.323. Może łączyć się z
różnymi aplikacjami SIP lub H.323 włączając w to specjalizowane
urządzenia. Program Ekiga może pracować z kamerą internetową,
zestawiać same połączenia głosowe jak również tradycyjne z dźwiękiem i
obrazem. Ekiga była poprzednio znana jako GnomeMeeting.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i -e 's|Categories=GNOME;GTK;Network;Telephony;|Categories=GTK;GNOME;Network;InstantMessaging;|' ekiga.desktop.in.in

%build
%{__gnome_doc_common}
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-dbus \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install ekiga.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall ekiga.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO FAQ
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_omf_dest_dir}/%{name}
%{_datadir}/sounds/%{name}
%{_iconsdir}/hicolor/*/*/ekiga.png
%{_sysconfdir}/gconf/schemas/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ekiga.spec,v $
Revision 1.48  2011/04/07 11:25:45  lisu
- fix build with libnotify 0.7

Revision 1.47  2011/04/07 09:46:57  lisu
- rel 5

Revision 1.46  2011/03/05 14:36:40  arekm
- release 4

Revision 1.45  2011/02/04 18:23:42  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.44  2010/11/24 10:57:33  hawk
- release 2

Revision 1.43  2010/07/26 22:28:25  zbyniu
- up to 3.2.7

Revision 1.42  2010/06/25 08:58:07  arekm
- release 2

Revision 1.41  2010/01/09 16:58:02  sparky
- BR: docbook-dtd412-xml, speex-devel, srtp-devel, unixODBC-devel

Revision 1.40  2010/01/08 22:11:26  arekm
- up to 3.2.6

Revision 1.39  2009/06/02 14:10:20  blues
- TODO

Revision 1.38  2008/11/18 06:18:05  sls
- R: ptlib-sound
- TODO: fix sound

Revision 1.37  2008/11/18 06:15:03  sls
- added shell.patch
- updated BR:
- update_icon_cache in post/postun
- rel. 0.2 (builds, runtime problems)

Revision 1.36  2008/11/04 22:50:53  sls
- ver. 3.0.1 (NFY)

Revision 1.35  2008/10/05 11:02:15  arekm
- release 2

Revision 1.34  2008/04/11 19:26:56  sls
- ver. 2.0.12

Revision 1.33  2007-11-04 17:06:10  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.32  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.31  2007/09/19 21:18:34  aflinta
- up to 2.0.11

Revision 1.30  2007/06/14 18:18:56  arekm
- rel 2

Revision 1.29  2007/04/13 12:37:30  patrys
- proper R: opal

Revision 1.28  2007/04/13 12:35:54  patrys
- 2.0.9

Revision 1.27  2007/03/11 18:16:06  rotom
- up to 2.0.7

Revision 1.26  2007/02/17 09:48:24  dzeus
- stricts deps

Revision 1.25  2007/02/16 19:48:15  rotom
- --disable-scrollkeeper

Revision 1.24  2007/02/16 19:37:20  rotom
- up to 2.0.5

Revision 1.23  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.21  2007/01/22 19:24:40  dzeus
- up to 2.0.4

Revision 1.20  2006/11/12 20:33:16  rotom
- updated to 2.0.3

Revision 1.19  2006/09/12 21:05:55  dzeus
- BR: libselinux-devel

Revision 1.18  2006/06/07 01:42:57  aredridel
- add linguas patch
- don't remove no locale (does not exist in 2.0.2)

Revision 1.17  2006/06/07 01:14:33  aredridel
- strict opal-devel dep too

Revision 1.16  2006/06/07 01:12:08  aredridel
- strict requires opal 2.2.2

Revision 1.15  2006/06/06 18:41:30  aredridel
- more strict pwlib deps

Revision 1.14  2006/06/06 01:37:12  aredridel
- 2.0.2

Revision 1.13  2006/05/18 19:32:10  baggins
- release 1
- strict deps

Revision 1.12  2006/05/18 19:24:43  baggins
- rel 0.3
- updated files

Revision 1.11  2006/05/18 18:41:57  baggins
- BR proper opal

Revision 1.10  2006/05/18 17:35:33  baggins
- updated BR versions

Revision 1.9  2006/04/12 17:14:14  dzeus
- --enable-dbus

Revision 1.8  2006/04/03 21:08:20  wolvverine
- up to 2.0.1

Revision 1.7  2006/02/25 13:33:07  qboosh
- versioned BRs

Revision 1.6  2006/02/22 11:42:25  agaran
- added BR (reported by Andrzej 'dzemik' Nakonieczny)

Revision 1.5  2006/02/17 14:13:50  aflinta
- up to 1.99.1

Revision 1.4  2006/02/12 20:32:54  freetz
- desktop patch added

Revision 1.3  2006/02/08 07:27:46  qboosh
- typos

Revision 1.2  2006/02/06 00:22:39  aflinta
- adapterized
